<template>
  <basic-container>
    <avue-tabs :option="Taboption" @change="handleChange"></avue-tabs>
    <span v-if="type.prop==='tab1'">
      <attrCrud :ProData="ProData" :crudOid="crudOid" :crudLCStatus="crudLCStatus" :crudArray="crudArray" :Formlist="Formlist" :codeClassifyOid="codeClassifyOid"></attrCrud>
    </span>
    <span v-else-if="type.prop==='tab2'">
       <FlowPath :code="this.crudOid" :crudLCStatus="crudLCStatus"></FlowPath>

    </span>
    <span v-else-if="type.prop==='tab3'">
          <stage  :code="this.crudOid"></stage>
    </span>
  </basic-container>

</template>

<script>
export default {
  name: "TemplatePro.vue",
  props: ['ProData','crudOid','crudLCStatus','crudArray','Formlist','codeClassifyOid'],
  data: function () {
    return {
      type: {},
      Taboption: {
        column: [{
          label: '模板属性',
          prop: 'tab1',
        }, {
          label: '模板流程',
          prop: 'tab2',
        }, {
          label: '模板阶段',
          prop: 'tab3',
        }]
      },

    }
  },
  created() {
    // 进入页面默认是模板属性
    this.type = this.Taboption.column[0];
    this.type.prop = "tab1"
  },
  methods: {
    // Tab栏切换
    handleChange(column) {
      this.type = column;
    },
  }
}
</script>
<style lang="scss">
//修改分类注入对话框公共样式
.mydialog .el-dialog__body {
  padding: 10px 20px 30px;
}

</style>
